Subject: Re: bug#12098: How to trap errors in man?

From: Reuben Thomas <[email-masked]>
Date: Wed, 19 Aug 2020 16:22:10 +0100

On Wed, 19 Aug 2020 at 16:17, Stefan Kangas <[email-masked]> wrote:

> Reuben Thomas <[email-masked]> writes:
>
> >> Yes, so your entire Emacs session will block.  In other words, less than
> >> satisfactory.
> >
> > Many commands do this; I don't think there's a reason to treat man
> > specially in this regard and complicate it.
>
> I have the exact opposite view: more commands should be asynchronous.
>

That would be great. It's tough to achieve in Emacs of course, since the
underlying model of operation is synchronous. At the moment, various
packages solve this problem in ad hoc ways. In some (such as man) there's
no longer a need for an ad hoc solution: the extra complexity isn't worth
it. In others, such as TRAMP and ispell, it's obviously fundamental.

-- 
https://rrt.sc3d.org